Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.capabilities
Class WPVSCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.wpvs.capabilities.WPVSCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WPVSConfigurationDocument

    public class WPVSCapabilitiesDocument

extends OWSCommonCapabilitiesDocument

This class represents a `WPVSCapabilitiesDocument` object.

Author:
  Judit Mays, last edited by: $Author: mschneider $ $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OGCNS, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WPVSCapabilitiesDocument()`

Method Summary
`void` | `createEmptyDocument()` Creates a skeleton capabilities document that contains the mandatory elements only.
`protected Envelope[]` | `getBoundingBoxes(Element element, CoordinateSystem defaultCoordinateSystem)` Gets an array of `boundingBoxes` from the given `Element`.
`protected DCPType` | `getDCP(Element element)` FIXME there is a similar method in org.deegree.owscommon.OWSCommonCapabilitiesDocument#getDCP. overrides that method!
`protected Envelope` | `parseBoundingBox(Element element, CoordinateSystem defaultCoordinateSystem)` Usable with any BoundingBox.
`OGCCapabilities` | `parseCapabilities()` Creates a class representation of the document.
`protected List<CoordinateSystem>` | `parseCoordinateSystems(String[] coordinateStrings)`
`protected DataProvider` | `parseDataProvider(Element datasetElement)` Creates and returns a new `DataProvider` object from the given `Element`.
`protected Identifier` | `parseDatasetIdentifier(Element element, String xPathQuery)` Creates and returns a new `Identifier` object from the given `Element` and the given xPathQuery.
`protected DatasetReference[]` | `parseDatasetReferences(Element datasetElement)` Creates and returns a new array of `DatasetReference` objects from the given `Element`.
`protected Dimension[]` | `parseDimensions(Element element)`
`protected FeatureListReference[]` | `parseFeatureListReferences(Element datasetElement)` Creates and returns a new array of `FeatureListReference` objects from the given `Element`.
`protected MetaData[]` | `parseMetaData(Element datasetElement)` Creates and returns a new `MetaData` object from the given `Element`.
`protected OperationsMetadata` | `parseOperationsMetadata(OnlineResource defaultOnlineResource)` Creates and returns a new `OperationsMetadata` object.
`protected Identifier` | `parseStyleIdentifier(Element element, String xPathQuery)` Creates and returns a new `Identifier` object from the given `Element` and the given xPathQuery.
`protected Style[]` | `parseStyles(Element datasetElement)` Creates and returns a new array of `Style` objects from the given `Element`.

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceIdentification, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WPVSCapabilitiesDocument

    public WPVSCapabilitiesDocument()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Creates a skeleton capabilities document that contains the mandatory elements only.

  Throws:
    `IOException`
    `SAXException`

### parseCapabilities

    public OGCCapabilities parseCapabilities()
                                      throws InvalidCapabilitiesException

  Description copied from class: `OGCCapabilitiesDocument`
  Creates a class representation of the document.

  Specified by:
    `parseCapabilities` in class `OGCCapabilitiesDocument`
  Returns:
    class representation of the document
  Throws:
    `InvalidCapabilitiesException`
  See Also:
    `OGCCapabilitiesDocument.parseCapabilities()`

### parseCoordinateSystems

    protected List<CoordinateSystem> parseCoordinateSystems(String[] coordinateStrings)

  Parameters:
    `coordinateStrings` - the Strings to create the coordinates from
  Returns:
    a List of coordinatesystems, if no coordinateString were given (null || length==0 ) an emtpy list is returned.

### parseStyles

    protected Style[] parseStyles(Element datasetElement)
                           throws XMLParsingException,
                                  InvalidCapabilitiesException

  Creates and returns a new array of `Style` objects from the given `Element`.

  Parameters:
    `datasetElement` -
  Returns:
    Returns a new array of Style objects or `null` if none were defined
  Throws:
    `XMLParsingException`
    `InvalidCapabilitiesException`

### parseFeatureListReferences

    protected FeatureListReference[] parseFeatureListReferences(Element datasetElement)
                                                         throws XMLParsingException,
                                                                InvalidCapabilitiesException

  Creates and returns a new array of `FeatureListReference` objects from the given `Element`.

  Parameters:
    `datasetElement` -
  Returns:
    Returns an array of FeatureListReference instances or `null` if none were defined (optional).
  Throws:
    `XMLParsingException`
    `InvalidCapabilitiesException`

### parseDatasetReferences

    protected DatasetReference[] parseDatasetReferences(Element datasetElement)
                                                 throws XMLParsingException,
                                                        InvalidCapabilitiesException

  Creates and returns a new array of `DatasetReference` objects from the given `Element`.

  Parameters:
    `datasetElement` -
  Returns:
    Returns a new array of DatasetReference objects or `null` if no DatasetReferences are specified in this dataset (optional)
  Throws:
    `XMLParsingException`
    `InvalidCapabilitiesException`

### parseMetaData

    protected MetaData[] parseMetaData(Element datasetElement)
                                throws XMLParsingException,
                                       InvalidCapabilitiesException

  Creates and returns a new `MetaData` object from the given `Element`.

  Parameters:
    `datasetElement` -
  Returns:
    Returns an array of MetaData objects, or `null` if no metadata was specified in the dataset (optional).
  Throws:
    `XMLParsingException`
    `InvalidCapabilitiesException`

### parseStyleIdentifier

    protected Identifier parseStyleIdentifier(Element element,
                                              String xPathQuery)
                                       throws XMLParsingException,
                                              InvalidCapabilitiesException

  Creates and returns a new `Identifier` object from the given `Element` and the given xPathQuery.

  Parameters:
    `element` -
    `xPathQuery` -
  Returns:
    Returns a new Identifier object.
  Throws:
    `XMLParsingException`
    `InvalidCapabilitiesException` - if no (valid) identifier is found

### parseDatasetIdentifier

    protected Identifier parseDatasetIdentifier(Element element,
                                                String xPathQuery)
                                         throws XMLParsingException,
                                                InvalidCapabilitiesException

  Creates and returns a new `Identifier` object from the given `Element` and the given xPathQuery.

  Parameters:
    `element` -
    `xPathQuery` -
  Returns:
    Returns a new Identifier object.
  Throws:
    `XMLParsingException`
    `InvalidCapabilitiesException` - if no (valid) identifier is found

### parseDataProvider

    protected DataProvider parseDataProvider(Element datasetElement)
                                      throws XMLParsingException,
                                             InvalidCapabilitiesException

  Creates and returns a new `DataProvider` object from the given `Element`.

  Parameters:
    `datasetElement` -
  Returns:
    Returns a new DataProvider object or `null`if no provider was defined.
  Throws:
    `XMLParsingException`
    `InvalidCapabilitiesException`

### parseDimensions

    protected Dimension[] parseDimensions(Element element)
                                   throws XMLParsingException

  Parameters:
    `element` -
  Returns:
    the Dimensions of a given element or `null` if no dimension is found (optional).
  Throws:
    `XMLParsingException`

### getBoundingBoxes

    protected Envelope[] getBoundingBoxes(Element element,
                                          CoordinateSystem defaultCoordinateSystem)
                                   throws XMLParsingException,
                                          InvalidParameterValueException

  Gets an array of `boundingBoxes` from the given `Element`. This method returns all boundingBoxes together in one array.

  Parameters:
    `element` -
    `defaultCoordinateSystem` - to be used for not defined coordinate system attribute in the bbox element
  Returns:
    Returns an array of boundingBoxes.
  Throws:
    `XMLParsingException`
    `InvalidParameterValueException`

### parseBoundingBox

    protected Envelope parseBoundingBox(Element element,
                                        CoordinateSystem defaultCoordinateSystem)
                                 throws XMLParsingException,
                                        InvalidParameterValueException

  Usable with any BoundingBox. Changed crs from null to given attribute value of crs. Added check for min values to be smaler than max values. Creates an `Envelope` object from the given element of type `ows:WGS84BoundingBox` or `ows:BoundingBox`.

  Parameters:
    `element` -
    `defaultCoordinateSystem` - if the crs-attribute of the bbox element is not defined
  Returns:
    a boundingbox of a dataset
  Throws:
    `XMLParsingException`
    `InvalidParameterValueException`

### parseOperationsMetadata

    protected OperationsMetadata parseOperationsMetadata(OnlineResource defaultOnlineResource)
                                                  throws XMLParsingException,
                                                         InvalidCapabilitiesException

  Creates and returns a new `OperationsMetadata` object.

  Parameters:
    `defaultOnlineResource` - to fill in the left out dcp's or `null` if no default URL was given.
  Returns:
    Returns a new OperationsMetadata object.
  Throws:
    `XMLParsingException`
    `InvalidCapabilitiesException`

### getDCP

    protected DCPType getDCP(Element element)
                      throws XMLParsingException

  FIXME there is a similar method in org.deegree.owscommon.OWSCommonCapabilitiesDocument#getDCP. overrides that method! Creates a `DCPType` object from the passed `DCP` element.

  Overrides:
    `getDCP` in class `OWSCommonCapabilitiesDocument`
  Parameters:
    `element` -
  Returns:
    created `DCPType`
  Throws:
    `XMLParsingException`
  See Also:
    `OGCStandardCapabilities`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org